//
//  PathRouter.h
//  TouristHelper
//
//  Adam Eberbach

#import <Foundation/Foundation.h>

@class PathRouter;

@protocol PathRouterDelegate
- (void)pathRouter:(PathRouter *)pathRouter didCompleteWithOrderedPoints:(NSArray *)orderedPoints;
@end

@class PathRouter;

@interface PathRouter : NSObject

@property (nonatomic, weak) id<PathRouterDelegate> delegate;

- (void)orderPathPoints:(NSArray *)points;

@end
