//
//  MapSightsViewController.h
//  TouristHelper
//
//  Adam Eberbach

#import <UIKit/UIKit.h>
#import <MapKit/MapKit.h>
#import "SightFinder.h"
#import "PathRouter.h"

@interface MapSightsViewController : UIViewController <CLLocationManagerDelegate, SightFinderDelegate, SightDelegate, PathRouterDelegate>

- (IBAction)refreshLocation:(UIBarButtonItem *)sender;

@property (weak, nonatomic) IBOutlet MKMapView *mapView;
@property (weak, nonatomic) IBOutlet UIActivityIndicatorView *activityIndicator;

@end
